package com.zhentao.common.orders.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 优惠券表

 * @TableName marketing_coupon
 */
@TableName(value ="marketing_coupon")
@Data
public class MarketingCoupon implements Serializable {
    /**
     * 
     */
    @TableId
    private Long id;

    /**
     * 活动类型 1平台 2活动优惠
     */
    private Integer getType;

    /**
     * 活动id
     */
    private Integer activeId;

    /**
     * 优惠券类型 1满减券 2满折券
     */
    private Integer tacticsType;

    /**
     * 优惠券名称
     */
    private String name;

    /**
     * 面值
     */
    private BigDecimal faceValue;

    /**
     * 优惠券图片
     */
    private String imgUrl;

    /**
     * 领取方式 1手动领取 2赠送券 3会员券
     */
    private Integer getWay;

    /**
     * 使用类型 1通用2指定分类3指定课程4活动券
     */
    private Integer productType;

    /**
     * 产品id 分类id
     */
    private String productValue;

    /**
     * 有无门槛0无门槛1有门槛
     */
    private Integer limitMinFlag;

    /**
     * 限制金额
     */
    private BigDecimal limitMin;

    /**
     * 有效标识1按天2时间段
     */
    private Integer validFlag;

    /**
     * 有效天数
     */
    private Integer validDays;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 截止时间
     */
    private Date endTime;

    /**
     * 领取时间0不限时1限时领取
     */
    private Integer getTimeLimit;

    /**
     * 领取开始时间
     */
    private Date getStartTime;

    /**
     * 领取结束时间
     */
    private Date getEndTime;

    /**
     * 是否限量0不限制1限制
     */
    private Integer totalLimit;

    /**
     * 优惠券数量
     */
    private Integer totalNum;

    /**
     * 状态1正常显示0隐藏
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 跳转链接
     */
    private String navHref;

    /**
     * 版本
     */
    private Integer reversion;

    /**
     * 创建时间
     */
    private Date createddTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 更新者
     */
    private String updatedBy;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}