package com.zhentao.common.orders.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 用户优惠券表

 * @TableName marketing_coupon_user
 */
@TableName(value ="marketing_coupon_user")
@Data
public class MarketingCouponUser implements Serializable {
    /**
     * 
     */
    @TableId
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 优惠券id
     */
    private Integer couponId;

    /**
     * 优惠券名称
     */
    private String couponName;

    /**
     * 规则类型1满减券2满折券
     */
    private Integer couponTacticsType;

    /**
     * 规则类型描述
     */
    private String tacticsTypeDesc;

    /**
     * 适用类型1通用券2品类券3课程券4活动券
     */
    private Integer couponType;

    /**
     * 产品id分类id
     */
    private String productValue;

    /**
     * 有无门槛0无门槛1有门槛
     */
    private Integer limitMinFlag;

    /**
     * 限制金额
     */
    private BigDecimal limitMin;

    /**
     * 适用类型
     */
    private String typeName;

    /**
     * 面值
     */
    private BigDecimal faceValue;

    /**
     * 优惠券图片
     */
    private String imgUrl;

    /**
     * 有效期开始时间
     */
    private Date startTime;

    /**
     * 有效期截止时间
     */
    private Date endTime;

    /**
     * 获取日期
     */
    private String getTime;

    /**
     * 领取方式1手动领取 2后台赠送
     */
    private Integer getWay;

    /**
     * 使用时间
     */
    private Date usedTime;

    /**
     * 活动id
     */
    private Long activeId;

    /**
     * 使用状态0未使用1已使用2已过期
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 版本
     */
    private Integer reversion;

    /**
     * 版本标识0未统计1已统计
     */
    private Integer statFlag;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 逻辑删除
     */
    private Integer delFlag;

    /**
     * 扫码领取
     */
    private Integer isReceive;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}