package com.zhentao.exceptions;


import com.zhentao.constants.CommonConstant;
import com.zhentao.util.ResultVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.MethodArgumentNotValidException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestControllerAdvice;
import org.springframework.web.multipart.MultipartException;
import org.springframework.web.servlet.NoHandlerFoundException;

import javax.servlet.http.HttpServletRequest;

@ControllerAdvice
@RestControllerAdvice
@Slf4j
public class GlobalExceptionHandler {

    @ExceptionHandler(value = Exception.class)
    @ResponseBody
    public ResultVo defaultErrorHandler(HttpServletRequest req, Exception e){
        log.error(e.getMessage());
        if(e instanceof NoHandlerFoundException){
            return  new ResultVo(CommonConstant.NOTFOUND,CommonConstant.NOPAGE,null);
        }
        if(e instanceof ApiException){
            ApiException costomException= (ApiException) e;
            return new ResultVo(costomException.getCode(),costomException.getMessage(),null);
        }
        else if (e instanceof MultipartException){
            log.error("系统异常{}",e);
            return new ResultVo(1000,"上传文件异常",null);
        } else if (e instanceof MethodArgumentNotValidException) {
            MethodArgumentNotValidException methodArgumentNotValidException= (MethodArgumentNotValidException) e;
            return new ResultVo(1002,methodArgumentNotValidException.getBindingResult().getFieldError().getDefaultMessage(),null);
        }
        else {
            log.error("系统异常{}",e);
            return new ResultVo(1001,"系统参数异常",null);
        }
    }
}
